#import "Utils.h"
#import <SVProgressHUD/SVProgressHUD.h>

@implementation Utils

static NSString *loagingMessage = @"";

+(void)showAlert:(NSString*) title message:(NSString*)message view:(UIViewController*)view
{
    dispatch_async(dispatch_get_main_queue(),^{
        
        
        
        UIAlertController * alert = [UIAlertController
                                     alertControllerWithTitle:title
                                     message:message
                                     preferredStyle:UIAlertControllerStyleAlert];
        
        
        
        UIAlertAction* ok = [UIAlertAction
                             actionWithTitle:@"OK"
                             style:UIAlertActionStyleDefault
                             handler:^(UIAlertAction * action) {
                                 //Handle your yes please button action here
                             }];
        
        [alert addAction:ok];
        
        [view presentViewController:alert animated:YES completion:nil];
        
        if([SVProgressHUD isVisible])
            [SVProgressHUD dismiss];
        
    });
    
}
/*20190621  Response Time Out*/
+(void)showLoadingView:(NSString*)message timeOut:(int)timeOut
{
    dispatch_async(dispatch_get_main_queue(),^{
        
        [SVProgressHUD setDefaultMaskType:SVProgressHUDMaskTypeBlack];
        [SVProgressHUD dismiss];
        
        [NSObject cancelPreviousPerformRequestsWithTarget:self selector:@selector(checkTimeOut) object:nil];
        
        
        loagingMessage = message;
        [SVProgressHUD showWithStatus:message];
        
        if(timeOut>0)
        {
            [self performSelector:@selector(checkTimeOut) withObject:nil afterDelay:timeOut];
        }
    });
    
}

/*20190621  Response Time Out*/
+(void)hiddenLoadingView
{
    dispatch_async(dispatch_get_main_queue(),^{
        [SVProgressHUD dismiss];
        [NSObject cancelPreviousPerformRequestsWithTarget:self selector:@selector(checkTimeOut) object:nil];
    });
}

/*20190621  Response Time Out*/
+ (void)checkTimeOut
{
    dispatch_async(dispatch_get_main_queue(),^{
        if([SVProgressHUD isVisible])
        {
            [SVProgressHUD dismiss];
            UIViewController* pRootViewController = (UIViewController*)[[[[[UIApplication sharedApplication] keyWindow] subviews] objectAtIndex:0] nextResponder];
            
            if(pRootViewController != nil)
            {
                NSString *err = [NSString stringWithFormat:@"Please check Connect\n[%@]", loagingMessage];
                [Utils showAlert:@"Response timeout" message:err view:pRootViewController];
            }
        }
    });
}



@end
